Skip to main content

Create fixed shift

POST 

/shifts/fixed

After requesting a quote, use the quoteId to create a fixed rate shift with the quote. The affiliateId must match the one used to request the quote.

Do not create a fixed shift when the deposit network is in depositVariableOnly or the settle network is in settleVariableOnly on /v2/coins. Use /v2/shifts/variable instead.

For fixed rate shifts, a deposit of exactly the amount of depositAmount must be made before the expiresAt timestamp, otherwise the deposit will be refunded.

For shifts that return a depositMemo, the deposit transaction must include this memo, otherwise the deposit might be lost.

For shifts settling in coins where the network is included in the networksWithMemo array in the /v2/coins endpoint, API users are allowed to specify a settleMemo field, for example "settleMemo": "123343245".

x-sideshift-secret header is required. It can be obtained from the account page under the account secret.

warning

x-sideshift-secret is your account's private key. Never share it with anyone as it grants full access to your account and should be kept confidential.

refundAddress and refundMemo are optional. If they aren't defined, the user is prompted to enter a refund address manually on the SideShift.ai order page if the shift needs to be refunded.

If the API requests are sent from the integration's own server, the x-user-ip header must be set to the end-user IP address; otherwise, the requests will be blocked. See Permissions.

averageShiftSeconds represents the average time in seconds it takes for SideShift to process a shift once the user's deposit is confirmed on the blockchain.

externalId is an optional field that can be used to pass an integration's own ID to the API.

Request

Header Parameters

    x-sideshift-secret stringrequired
    x-user-ip string

    end-user IP address for integrations API requests

Body

    settleAddressstringrequired
    settleMemostring

    for coins where network is included in networksWithMemo array

    affiliateIdstringrequired

    affiliateId used to request the quote

    quoteIdstringrequired
    refundAddressstring
    refundMemostring
    externalIdstring

    integration's own ID

Responses

OK
Schema
    idstringrequired
    createdAtstringrequired
    depositCoinstringrequired
    settleCoinstringrequired
    depositNetworkstringrequired
    settleNetworkstringrequired
    depositAddressstringrequired
    depositMemostring
    settleAddressstringrequired
    settleMemostring
    depositMinstringrequired
    depositMaxstringrequired
    refundAddressstring
    refundMemostring
    typestringrequired
    quoteIdstringrequired
    depositAmountstringrequired
    settleAmountstringrequired
    expiresAtstringrequired
    statusstringrequired
    averageShiftSecondsstring
    externalIdstring
    ratestringrequired